@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
input {
    font-family: 'Poppins', sans-serif;
}

.container {
    position: relative;
    width: 100%;
    background-color: #fff;
    min-height: 100vh;
    overflow: hidden;
}

.forms-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left:0;
}

.container::before{
    content: '';
    position: absolute;
    height: 2000px;
    width: 2000px;
    top: -10%;
    right: 48%;
    background-image: linear-gradient(-45deg, #20dbc2 0%, #00bfa6 100%);
}

form{
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
padding: 0 5;
padding: 0 5rem;
grid-column: 1 / 2;
grid-row:1 / 2;
}

.title{
    font-size: 2.2rem;
    color: #444;
    margin-bottom: 10px;
}

.input-feild{
    max-width: 380px;
    width: 100%;
    height: 55px;
    background-color: #f0f0f0;
    margin: 10px 0;
    border-radius: 55px;
    display: grid;
    grid-template-columns: 15% 85%;
    padding: 0 0.4rem;
    position: relative;
}

.input-feild i {
    text-align: center;
    line-height: 55px;
    color: #acacac;
    font-size:1.5rem;
}

.input-feild input {
    background: none;
    outline: none;
    border: none;
    line-height:1;
    font-weight: 600;
    font-size: 1.2rem;
    color: #333;
}

.input-feild input: placeholder-shown{
    color: #aaa;
    font-weight: 500;
}

.btn{
    width: 150px;
    height: 49px;
    outline: none;
    border: none;
    border-radius: 48px;
    background-color: #20dbc2;
    color: white;
    text-transform: uppercase;
    font-weight: 600;
    margin: 10px 0;
    transition: all 0.5s;
}

.btn:hover{
    background-color: #00bfa6;
}

.social-text{
    padding: 0.7rem 0;
}

.social-media{
    display: flex;
    justify-content: center;
}

.social-icon{
    height:46px;
    width: 46px;
    border: 1px solid #333;
    margin: 0 0.45rem;
    display:flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #333;
    font-size: 1.3rem;
    border-radius: 50%;
    transition: all 0.5s;
}

.social-icon:hover{
color: #20dbc2;
border-color: #00bfa6;
}

.signin-signup{
    position: absolute;
    top: 50%;
    left:75%;
    transform: translate(-50%, -50%);
    display: grid;
    grid-template-columns: 1fr;
}

form.sign-in-form{
    z-index: 3;
}

form.sign-up-form{
    z-index: 3;
    opacity: 0;
}
